:root {
	--black: #231f20;
	--white: #FFFFFF;
	--blue: #04A8DD;
	--green: #79c145;
	--gray: #D6D6D6;
	--light-gray: #F5F5F5;
}

body {
	overflow-x: hidden;
	width: 100%;
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	max-width: 100%;
	position: relative;
	overflow-wrap: normal!important; 
	word-break: normal!important;
	}
html {
  overflow-x: hidden;
  width: 100%;
} 

a:not(.wp-element-button):not(:has(> img))  {
  transition: .4s;
  text-decoration: none;
  color: var(--blue);
}
a:not(.wp-element-button):not(:has(> img)):hover {
  box-shadow: 0 1px 0px var(--blue);
}
.info-ticker a:not(.wp-element-button) {text-decoration: none;}
.info-ticker a:not(.wp-element-button):hover { box-shadow: 0 1px 0px var(--blue);}

.wp-block-cakewp-block-slider {width: 100%!important; padding: 0; margin: 0;}
/* .entry-content {max-width: 100%; padding: 0; margin: 0;} */

  
  
  
  
  
.blockslider-post-324 .wp-block-cover .wp-block-cover__image-background {
	object-fit: contain;
	height: auto;
	width: 100%;
}

@media (max-width: 1390px) {
.blockslider-post-324 .wp-block-cover {
	min-height: 40vw!important;
}
}




.wp-block-gallery.has-nested-images figure.wp-block-image figcaption {
	background: var(--black);
	margin-bottom: 0;
	max-height: 34px!important;
	overflow: auto;
	padding: 8px 4px;
	position: relative;
	text-align: left;
	margin-top: 0;
}


/** buttons **/
.wp-element-button, .wp-block-button__link {
	transition: background-color 0.4s ease;
	padding: 8px 12px!important;
}

.wp-block-separator {
	border-top: 1px solid!important;
	border-color: var(--gray)!important;
}


/** Homepage **/
/** Image Collection Links **/
.image-link-title a:where(:not(.wp-element-button)) {
	text-decoration: none;
	letter-spacing: .03em;
	color: var(--white)!important;
}
.image-link-title p.has-background-color {
	transition: background-color 0.4s ease; 
	border-radius: 1px;
	display:inline-block;
	position: absolute;
	margin-top: -40px;
	left: 16px;
}
.image-link-title:hover p.has-background-color {background: var(--blue)!important;}
.image-link-title:hover img {opacity: .8;}
.image-link-title img {transition: opacity 0.4s ease;}

.wp-block-group.image-link-title {
  position: relative;
}
.wp-block-image.service-icon {margin-top: -25px;}



.image-link-title.events-link p.has-background-color {
	top: 60px;
	left: 16px;
}
.image-link-title.events-link:hover p.has-background-color {background: var(--blue)!important;}



.wp-block-jetpack-instagram-gallery img {
	opacity: 1;
	transition: opacity 0.4s ease;	
}
.wp-block-jetpack-instagram-gallery img:hover {opacity: .8;}



/* .wp-block-jetpack-instagram-gallery a.wp-block-jetpack-instagram-gallery__grid-post, 
.events-link {
	width: 328px!important;
	height: 410px!important;
}

@media (max-width: 1429px) { 
	.wp-block-jetpack-instagram-gallery a.wp-block-jetpack-instagram-gallery__grid-post, 
	.events-link {
		width: 328px!important;
		height: 410px!important;
	}
} */


@media (max-width: 1059px) {
	/** mobile menu **/
	.wp-block-navigation__responsive-container .wp-block-navigation.items-justified-right {
		justify-content: flex-start!important;
		align-items: flex-start!important;
	}
	.wp-block-navigation__responsive-container .wp-block-navigation.items-justified-right a {
		font-size: 1.3em!important;
	}
	.wp-block-navigation.items-justified-right {
		justify-content: flex-start!important;
		align-items: flex-start!important;
		text-align: left;
	}
	.wp-block-navigation__responsive-close .wp-block-navigation__container {width: 100%!important;}
	.wp-block-navigation__responsive-close .wp-block-navigation__submenu-container {padding: 0!important; margin: 20px 0 0 12px!important;}
	
	.wp-block-navigation__responsive-close .wp-block-navigation-item.has-child.open-on-hover-click.wp-block-navigation-submenu,
	.wp-block-navigation__responsive-close .wp-block-navigation__submenu-container.has-text-color.has-background-color.has-background.has-secondary-background-color.wp-block-navigation-submenu {
		text-align: left;
		justify-content: flex-start!important;
		align-items: flex-start!important;
	}
	.wp-block-navigation .wp-block-navigation-item {align-items: left!important;}
	.wp-block-navigation-item__content {text-align: left!important;}
	
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item {
		text-align: left;
		justify-content: flex-start!important;
		align-items: flex-start!important;
	}
	
	
}








@media (min-width: 782px) { 
	.wp-block-jetpack-instagram-gallery a.wp-block-jetpack-instagram-gallery__grid-post, 
	.wp-block-group.events-link .wp-block-image {
  	position: relative;
  	width: 100%;
  	max-width: 330px; /* Adjust the max-width as needed */
  	padding-top: 128%; /* 4:3 aspect ratio (height = width * 0.75) */
  	overflow: hidden;
  	height: 0;
	}
	
	.wp-block-jetpack-instagram-gallery a.wp-block-jetpack-instagram-gallery__grid-post img, 
	.wp-block-group.events-link .wp-block-image img {
  	position: absolute;
  	top: 0;
  	left: 0;
  	width: 100%;
  	height: 100%;
  	object-fit: cover; /* Ensures the image covers the container */
	}
}

@media (max-width: 600px) {
	.wp-block-jetpack-instagram-gallery a.wp-block-jetpack-instagram-gallery__grid-post img, 
	.wp-block-group.events-link .wp-block-image img {
		width: 100%!important;
		height: auto;
	}
	.wp-block-jetpack-instagram-gallery__grid.is-stacked-on-mobile .wp-block-jetpack-instagram-gallery__grid-post {
		padding: 0!important;
		margin-top: 8px;
		margin-bottom: 8px;
	}
}







.wp-block-jetpack-instagram-gallery a.wp-block-jetpack-instagram-gallery__grid-post {
  position: relative;
  display: inline-block;
}

.wp-block-jetpack-instagram-gallery a.wp-block-jetpack-instagram-gallery__grid-post::after {
  content: '↗';
  position: absolute;
  top: 16px;
  right: 20px;
  width: 0;
  height: 0;
  z-index: 10;
  color: var(--white);
  transition: color 0.4s ease;
}

.wp-block-jetpack-instagram-gallery a.wp-block-jetpack-instagram-gallery__grid-post:hover::after {color: var(--blue);}











/** Header **/
html :where(img[class*=wp-image-]) {margin: 0 6px -4px 0;}
.wp-block-search.wp-block-search__button-only .wp-block-search__button {
	background: transparent;
	color: var(--black);
	padding: 0!important;
}
.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:hover {
	color: var(--blue); 
}
.wp-block-navigation .current-menu-item > .wp-block-navigation-item__content.wp-block-navigation-item__content {
	color: var(--blue);
	box-shadow: 0 1px 0px var(--blue);
}
.wp-block-site-logo:hover {opacity: .8;}

.store-info-header p em {font-style: normal!important;}
.ticker-news {max-width: 40%;}

@media (max-width: 501px) { 
.collection-links img {max-height: 240px!important;}
}

@media (max-width: 540px) { 
	.wp-block-site-logo {max-width: 50%;}
}  
@media (max-width: 660px) { 
	.wp-block-group.info-ticker {text-align: center;}
	.wp-block-group.info-ticker .is-layout-flex { }
}
@media (max-width: 660px) { 
	html .wp-block-group.info-ticker :where(img[class*=wp-image-]) {display: block; margin: 0 auto; margin-bottom:6px;}
	.store-info-header p em {display:block;}
	.store-info-header p {font-size: 12px!important; line-height: 15px;}
	.news-ticker-full-row {justify-content: center!important;}
}
@media (max-width: 1099px) { 
	.ticker-news {max-width: 100%;}
} 
@media (max-width: 1408px) { 
	.wp-block-group.info-ticker {padding: .8em 1em!important;}
}


.tiled-gallery__col+.tiled-gallery__col {
	margin-inline-start: 12px!important;
}
.tiled-gallery__row+.tiled-gallery__row {
	margin-top: 12px!important;
}


.brands-we-carry img {mix-blend-mode: multiply!important; max-width: 175px!important;}



ul.no-bullet {padding: 0; list-style: none;}

@media (max-width: 781px) {
	.wp-block-columns.rev-col {
		flex-direction: column-reverse!important; /* Reverse column order on mobile */
	}
	.mobile-padding {padding: 1rem!important;}
	.mobile-padding-horizontal {padding-left: 1rem!important; padding-right: 1rem!important;}
	.mobile-full-width img {width: 100%!important;}
}


/** DESKTOP **/
@media (min-width: 1101px) { 
	body:not(.wp-admin, .editor-styles-wrapper, .block-editor-page) .display-on-desktop {display: block;}
	body:not(.wp-admin, .editor-styles-wrapper, .block-editor-page) .display-on-mobile {display:none;}
} /** end desktop **/  

/** MOBILE **/  
@media (max-width: 1100px) { 
	body:not(.wp-admin, .editor-styles-wrapper, .block-editor-page) .display-on-mobile {display: block;}
	body:not(.wp-admin, .editor-styles-wrapper, .block-editor-page) .display-on-desktop {display:none;}		
} /** end mobile **/
   
/* Change the WordPress default css to a 1030px media query */
@media (min-width: 1060px) {
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: none !important;
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: block !important;
		width: 100%;
		position: relative;
		z-index: auto;
		background-color: inherit;
	}
}
/* Remove the WordPress default for 600px */
@media (min-width: 600px) {
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: flex;
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: none;
	}
}

